package net.thecodersbreakfast.wickettips.presentation.wicket.enums;

/**
 * Default algorithm for Enum internationalization. An enum's I18N key is its
 * fully qualified name (class name + '.' + enum value)
 * 
 * @author olivier
 */
public class DefaultEnumResourceKeyProvider extends EnumMessageKeyProvider {

	@Override
	public <T extends Enum<T>> String computeMessageKey(T enumValue) {
		return enumValue.getDeclaringClass().getCanonicalName() + "." + enumValue.name();
	}

}
