package net.thecodersbreakfast.wickettips.presentation.wicket.enums;

/**
 * Alternative algorithm for Enums internationalization. Simply uses the short
 * enum value as the I18N key
 * 
 * @author Olivier Croisier
 */
public class SimpleNameEnumResourceKeyProvider extends EnumMessageKeyProvider {

	@Override
	public <T extends Enum<T>> String computeMessageKey(T enumValue) {
		return enumValue.getDeclaringClass().getCanonicalName() + "#" + enumValue.name();
	}

}
