package net.thecodersbreakfast.wickettips.presentation.wicket.enums.model;

import net.thecodersbreakfast.wickettips.presentation.wicket.enums.EnumMessageKeyProvider;

import org.apache.wicket.Component;
import org.apache.wicket.model.AbstractReadOnlyModel;
import org.apache.wicket.model.IModel;


public class EnumModel<T extends Enum<T>> extends AbstractReadOnlyModel<String> {

	private IModel<T> model;
	private Component component;

	public EnumModel(IModel<T> model, Component component) {
		this.model = model;
		this.component = component;
	}

	@Override
	public String getObject() {
		String key = EnumMessageKeyProvider.getMessageKey(model.getObject());
		return component.getString(key);
	}

}
